import { createElement, useRef, useEffect } from 'react';
import { __rest } from 'tslib';
import { highlightWidgetManager } from '@puzzlelabs/puzzle-glossary';

const PageWidget = props => {
    return createElement('page-widget', props);
};

const HighlightZone = (_a) => {
    var { as = 'span' } = _a, props = __rest(_a, ["as"]);
    const ref = useRef();
    useEffect(() => highlightWidgetManager.subscribe(() => {
        if (!highlightWidgetManager.ready) {
            return;
        }
        highlightWidgetManager.mark([ref.current]);
    }), []);
    useEffect(() => {
        highlightWidgetManager.ready && highlightWidgetManager.mark([ref.current]);
    }, [props.children]);
    return createElement(as, Object.assign(Object.assign({}, props), { ref }));
};

export { HighlightZone, PageWidget };
