'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const react = require('react');
const tslib = require('tslib');
const puzzleGlossary = require('@puzzlelabs/puzzle-glossary');

const PageWidget = props => {
    return react.createElement('page-widget', props);
};

const HighlightZone = (_a) => {
    var { as = 'span' } = _a, props = tslib.__rest(_a, ["as"]);
    const ref = react.useRef();
    react.useEffect(() => puzzleGlossary.highlightWidgetManager.subscribe(() => {
        if (!puzzleGlossary.highlightWidgetManager.ready) {
            return;
        }
        puzzleGlossary.highlightWidgetManager.mark([ref.current]);
    }), []);
    react.useEffect(() => {
        puzzleGlossary.highlightWidgetManager.ready && puzzleGlossary.highlightWidgetManager.mark([ref.current]);
    }, [props.children]);
    return react.createElement(as, Object.assign(Object.assign({}, props), { ref }));
};

exports.HighlightZone = HighlightZone;
exports.PageWidget = PageWidget;
